#include <bits/stdc++.h>
using namespace std;
int main(){
  int n,k;
  cin>>n>>k;
  vector<int>a(n);
  int cnt=0;
  for(int &i:a){
    cin>>i;
    if(i==1){
      cnt++;
    }
  }
  if(cnt >= k) {
    cout << 1 << endl;
  } else {
    cout << 0 << endl;
  }
}